Package be.fgov.ehealth.rn.baselegaldata.v1

# Class SubregisterWithStatusAndSourceType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalSubregisterType
be.fgov.ehealth.rn.baselegaldata.v1.SubregisterWithStatusAndSourceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class SubregisterWithStatusAndSourceType extends AbstractOptionalSubregisterType implements Serializable

Java class for SubregisterWithStatusAndSourceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubregisterWithStatusAndSourceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalSubregisterType">
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
           <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubregisterWithStatusAndSourceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSource()`
  Gets the value of the source property.
  `String`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setSource(String value)`
  Sets the value of the source property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.

  ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalSubregisterType

  `getInceptionDate, getSubregisterCode, getSubregisterDescriptions, setInceptionDate, setSubregisterCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubregisterWithStatusAndSourceType

    public SubregisterWithStatusAndSourceType()

- ## Method Details

  - ### getStatus

    public String getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSource

    public String getSource()
    Gets the value of the source property.
    Returns:
      possible object is `String`

  - ### setSource

    public void setSource(String value)
    Sets the value of the source property.
    Parameters:
      `value` - allowed object is `String`